# Configuration Guide

```lua
Config.general = {
    sqlSaveTime = 15, -- min (for addictions)
    addictions = true, -- Enable or disable addictions
    menuCommand = "drugeffects", -- Command to open the menu
    staffList = { -- List of staff members who can use the command
        ["license:abcdef123456"] = true,  -- License ID
        ["steam:11111111"] = true, -- Steam Hex ID
        ["fivem:123456"] = true,          -- FiveM ID
    },
}

Config.consumables = {
    {
        itemName = "weed_kush_pack",
        minimumUsageAmount = 1,
        maximumUsageAmount = 5,
        dependencyThreshold = 50.0, -- the minimum dependency value
        thresholdMultiplier = 0.1, -- the value that will be added to the dependency
        detoxItem = "detox_kush_pill", -- resets the addiction of this item
        drunkClipSet = "move_m@drunk@slightlydrunk", -- Drunk movement clipset
        effectDuration = 60, -- sec
        animTime = 10, -- sec
        anim = {
            name = "WORLD_HUMAN_SMOKING_POT",
        }
    },
    {
        itemName = "weed_haze_pack",
        minimumUsageAmount = 1,
        maximumUsageAmount = 5,
        dependencyThreshold = 50.0, -- the minimum dependency value
        thresholdMultiplier = 0.1, -- the value that will be added to the dependency
        detoxItem = "detox_haze_pill", -- resets the addiction of this item
        drunkClipSet = "move_m@drunk@slightlydrunk", -- Drunk movement clipset
        effectDuration = 60, -- sec
        animTime = 10, -- sec
        anim = {
            name = "WORLD_HUMAN_SMOKING_POT",
        }
    },
    {
        itemName = "meth_packed",
        minimumUsageAmount = 1,
        maximumUsageAmount = 10,
        dependencyThreshold = 50.0, -- the minimum dependency value
        thresholdMultiplier = 0.1, -- the value that will be added to the dependency
        detoxItem = "detox_pill",
        drunkClipSet = "move_m@drunk@verydrunk",
        effectDuration = 60,
        animTime = 5,
        prop = {
            model = "prop_bong_01",
            bone = 18905,
            offset = vector3(0.10, -0.25, 0.0),
            rotation = vector3(95.0,190.0,180.0)
        },
        anim = {
            dict = "anim@safehouse@bong",
            name = "bong_stage3"
        }
    },
    {
        itemName = "coke_packed",
        minimumUsageAmount = 1,
        maximumUsageAmount = 5,
        dependencyThreshold = 50.0, -- the minimum dependency value
        thresholdMultiplier = 0.1, -- the value that will be added to the dependency
        detoxItem = "detox_coke_pill",
        drunkClipSet = "move_m@drunk@verydrunk",
        effectDuration = 60,
        animTime = 10,
        anim = {
            dict = "anim@mp_player_intcelebrationmale@face_palm",
            name = "face_palm"
        }
    },
    {
        itemName = "heroin_packed",
        minimumUsageAmount = 1,
        maximumUsageAmount = 5,
        dependencyThreshold = 50.0, -- the minimum dependency value
        thresholdMultiplier = 0.1, -- the value that will be added to the dependency
        detoxItem = "detox_heroin_pill",
        drunkClipSet = "move_m@drunk@slightlydrunk",
        effectDuration = 180,
        animTime = 30,
        prop = {
            model = "prop_syringe_01",
            bone = 18905,
            offset = vector3(0.12, 0.03, 0.03),
            rotation = vector3(143.0, 30.0, 0.0)
        },
        anim = {
            flag = 16,
            dict = "rcmpaparazzo1ig_4",
            name = "miranda_shooting_up"
        }
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainmad.com/resources/drugs-v-effects/configuration-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
